Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QMdiSubWindow.SubWindowOption

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QMdiSubWindow.SubWindowOption

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QMdiSubWindow

    public static final class QMdiSubWindow.SubWindowOption

extends java.lang.Enum
implements QtEnumerator

This enum describes options that customize the behavior of `QMdiSubWindow`.

See Also:
  Serialized Form

Field Summary
`static QMdiSubWindow.SubWindowOption` | `AllowOutsideAreaHorizontally`
`static QMdiSubWindow.SubWindowOption` | `AllowOutsideAreaVertically`
`static QMdiSubWindow.SubWindowOption` | `RubberBandMove` If you enable this option, a rubber band control is used to represent the subwindow's outline, and the user moves this instead of the subwindow itself.
`static QMdiSubWindow.SubWindowOption` | `RubberBandResize` If you enable this option, a rubber band control is used to represent the subwindow's outline, and the user resizes this instead of the subwindow itself.

Method Summary
`static QMdiSubWindow.SubWindowOptions` | `createQFlags(QMdiSubWindow.SubWindowOption[] values)` This function creates a com.trolltech.qt.gui.QMdiSubWindow$SubWindowOptions with the specified `com.trolltech.qt.gui.QMdiSubWindow$SubWindowOption[]` SubWindowOption values set.
`static QMdiSubWindow.SubWindowOption` | `resolve(int value)` Returns the SubWindowOption constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMdiSubWindow.SubWindowOption` | `valueOf(java.lang.String name)`
`static QMdiSubWindow.SubWindowOption[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AllowOutsideAreaHorizontally

    public static final QMdiSubWindow.SubWindowOption AllowOutsideAreaHorizontally

### AllowOutsideAreaVertically

    public static final QMdiSubWindow.SubWindowOption AllowOutsideAreaVertically

### RubberBandResize

    public static final QMdiSubWindow.SubWindowOption RubberBandResize

  If you enable this option, a rubber band control is used to represent the subwindow's outline, and the user resizes this instead of the subwindow itself. As a result, the subwindow maintains its original position and size until the resize operation has been completed, at which time it will receive a single `QResizeEvent`. By default, this option is disabled.

### RubberBandMove

    public static final QMdiSubWindow.SubWindowOption RubberBandMove

  If you enable this option, a rubber band control is used to represent the subwindow's outline, and the user moves this instead of the subwindow itself. As a result, the subwindow remains in its original position until the move operation has completed, at which time a `QMoveEvent` is sent to the window. By default, this option is disabled.

Method Detail

### values

    public static QMdiSubWindow.SubWindowOption[] values()

### valueOf

    public static QMdiSubWindow.SubWindowOption valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QMdiSubWindow.SubWindowOptions createQFlags(QMdiSubWindow.SubWindowOption[] values)

  This function creates a com.trolltech.qt.gui.QMdiSubWindow$SubWindowOptions with the specified `com.trolltech.qt.gui.QMdiSubWindow$SubWindowOption[]` SubWindowOption values set.

### resolve

    public static QMdiSubWindow.SubWindowOption resolve(int value)

  Returns the SubWindowOption constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD